import request from "@/utils/request"

// 拿到便利店商品的审核列表
export async function handleGetCOMMODITY_RUNNINGList(params: any) {
    const data = await request(`/Commodity/GetCOMMODITY_RUNNINGList`, {
        method: 'POST',
        data: { ...params, requestEncryption: true }
    })
    if (data.Result_Code !== 100) {
        return []
    }
    return data.Result_Data
}

// 审核安徽建工便利店商品数据
export async function handleApproveCommodityInfo_AHJG(params: any) {
    const data = await request(`/Commodity/ApproveCommodityInfo_AHJG`, {
        method: 'POST',
        data: { ...params, requestEncryption: true }
    })
    if (data.Result_Code !== 100) {
        return []
    }
    return data
}


// 获取商品详情
export async function handleGetCOMMODITYList(params: any) {
    const data = await request(`/Commodity/GetCOMMODITY_RUNNINGList`, {
        method: 'POST',
        data: { ...params, requestEncryption: true }
    })
    if (data.Result_Code !== 100) {
        return []
    }
    return data
}


// 删除商品审核
export async function handleDeleteCOMMODITY_RUNNING(params: any) {
    const data = await request(`/Commodity/DeleteCOMMODITY_RUNNING`, {
        method: 'POST',
        data: { ...params, requestEncryption: true }
    })
    if (data.Result_Code !== 100) {
        return []
    }
    return data
}